import os
from setuptools import find_packages, setup

with open(os.path.join(os.path.dirname(__file__), 'README.md')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='sharps',
    version='0.1.1',
    package_dir={'': 'src'},
    packages=find_packages('src'),
    setup_requires=['setuptools'],
    install_requires=[
        'anytree'
    ],
    dependency_links=[],
    include_package_data=True,
    license='Apache License 2.0',
    description='Another Python depedency injection package.',
    long_description=README,
    long_description_content_type='text/markdown',
    url='https://github.com/eydin/sharps',
    author='Eydin',
    author_email='',
    classifiers=[],
)